package com.phlx.wool.data.local;



import com.phlx.wool.entity.DivisionEntity;
import com.phlx.wool.entity.TreatmentMethod;
import com.phlx.wool.entity.Variety;
import com.phlx.wool.entity.VillusBuyEntity;

import java.util.List;

/**
 * Created by goldze on 2019/3/26.
 */
public interface LocalDataSource {
    /**
     * 保存用户名
     */
    void saveUserName(String userName);

    /**
     * 保存用户密码
     */
    void savePassword(String password);

    /**
     * 保存电话
     */
    void savePhone(String phone);

    /**
     * 保存Email
     */

    void saveEmail(String email);

    /**
     * 保存频率类型，0高频，1低频
     */
    void saveFrequencyConfig(String frequencyConfig);

    /**
     * 保存用所在养殖场
     */

    void saveBreed(String breed);
    /**
     * 保存Token
     */

    void saveToken(String token);

    /**
     * 获取用户名
     */
    String getUserName();

    /**
     * 获取用户密码
     */
    String getPassword();

    /**
     * 获取用户电话
     */
    String getPhone();

    /**
     * 获取用户邮箱
     */
    String getEmail();

    /**
     * 获取用户频率类型
     */
    String getFrequencyConfig();

    /**
     * 获取用户所在养殖场
     */
    String getBreed();


    /**
     * 获取Token
     */
    String getToken();


    /**
     * 保存品种信息
     */
    void saveVariety(List<Variety> varieties) throws Exception;

    /**
     * 保存无害化处理模式
     */
    void saveTreatmentMethod(List<TreatmentMethod> treatmentMethods) throws Exception;

    /**
     * 获取品种
     */
    List<Variety> getVariety();

    /**
     * 获取行政区划列表
     */
    List<DivisionEntity> getPertain(String parentId);

    /**
     * 获取行政区划详细信息
     */
    List<DivisionEntity> getPertainForCode(String Id);

    /**
     * 获取绒毛购买列表
     */
    List<VillusBuyEntity> getVillusBuy();

    /**
     * 获取无害化处理方式
     */
    List<TreatmentMethod> getTreatmentMethod();




}
